{ KOL MCK } // Do not remove this line!
{$DEFINE KOL_MCK}
unit Main;

interface

{$IFDEF KOL_MCK}
uses Windows, Messages, ShellAPI, KOL {$IFNDEF KOL_MCK}, mirror, Classes, Controls, mckControls, mckObjs, Graphics,
  mckCtrls {$ENDIF};
{$ELSE}
{$I uses.inc}
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, mirror;
{$ENDIF}

type
  {$IFDEF KOL_MCK}
  {$I MCKfakeClasses.inc}
  {$IFDEF KOLCLASSES} TMainForm = class; PMainForm = TMainForm; {$ELSE OBJECTS} PMainForm = ^TMainForm; {$ENDIF CLASSES/OBJECTS}
  {$IFDEF KOLCLASSES}{$I TMainForm.inc}{$ELSE} TMainForm = object(TObj) {$ENDIF}
    Form: PControl;
  {$ELSE not_KOL_MCK}
  TMainForm = class(TForm)
  {$ENDIF KOL_MCK}
    KOLProject: TKOLProject;
    KOLForm: TKOLForm;
    btnCompress: TKOLButton;
    btnDeCompress: TKOLButton;
    OpenSaveDialog: TKOLOpenSaveDialog;
    procedure btnCompressClick(Sender: PObj);
    procedure btnDeCompressClick(Sender: PObj);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm {$IFDEF KOL_MCK} : PMainForm {$ELSE} : TMainForm {$ENDIF} ;

{$IFDEF KOL_MCK}
procedure NewMainForm( var Result: PMainForm; AParent: PControl );
{$ENDIF}

implementation

uses KOLmdvLZH;

{$IFNDEF KOL_MCK} {$R *.DFM} {$ENDIF}

{$IFDEF KOL_MCK}
{$I Main_1.inc}
{$ENDIF}

procedure TMainForm.btnCompressClick(Sender: PObj);
begin
    if OpenSaveDialog.Execute then begin
      LZHPackFile(OpenSaveDialog.Filename, ChangeFileExt(OpenSaveDialog.Filename, '.pak'));
    end;
end;

procedure TMainForm.btnDeCompressClick(Sender: PObj);
begin
    if OpenSaveDialog.Execute then begin
      LZHUnpackFile(OpenSaveDialog.Filename, ChangeFileExt(OpenSaveDialog.Filename, '.upk'));
    end;
end;

end.


